# Visualization
TKV2d
AIS2D

# AIS2D_DataMapNodeOfDataMapOfPrimAspects Class Reference

`#include <AIS2D_DataMapNodeOfDataMapOfPrimAspects.hxx>`

## Public Member Functions

| AIS2D_DataMapNodeOfDataMapOfPrimAspects (const Handle(Graphic2d_Primitive)&K, const Handle(Prs2d_AspectRoot)&I, const TCollection_MapNodePtr &n)
Handle_Graphic2d_Primitive & | Key () const
Handle_Prs2d_AspectRoot & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_Graphic2d_Primitive | myKey
Handle_Prs2d_AspectRoot | myValue

## Constructor & Destructor Documentation

AIS2D_DataMapNodeOfDataMapOfPrimAspects::AIS2D_DataMapNodeOfDataMapOfPrimAspects | ( | const Handle(Graphic2d_Primitive)& | K,
|  | const Handle(Prs2d_AspectRoot)& | I,
|  | const TCollection_MapNodePtr & | n
| ) |

## Member Function Documentation

Standard_EXPORT const AIS2D_DataMapNodeOfDataMapOfPrimAspects::Handle | ( | Standard_Type |  | ) | const

Handle_Graphic2d_Primitive& AIS2D_DataMapNodeOfDataMapOfPrimAspects::Key | ( |  | ) | const

Handle_Prs2d_AspectRoot& AIS2D_DataMapNodeOfDataMapOfPrimAspects::Value | ( |  | ) | const

## Field Documentation

Handle_Graphic2d_Primitive AIS2D_DataMapNodeOfDataMapOfPrimAspects::myKey `[private]`

Handle_Prs2d_AspectRoot AIS2D_DataMapNodeOfDataMapOfPrimAspects::myValue `[private]`

The documentation for this class was generated from the following file:

- AIS2D_DataMapNodeOfDataMapOfPrimAspects.hxx